
class SnakeBuilder:
  @classmethod
  def build(self, selected_snake:str):
    snake_module = __import__(f'snakes.{selected_snake}', fromlist=[selected_snake])
    snake_class = getattr(snake_module, selected_snake)
    return snake_class()
